=== debian/changelog ===
polymake (2.14-2) unstable; urgency=medium

  * update debian/copyright for missing license

 -- David Bremner <bremner@debian.org>  Thu, 23 Jul 2015 15:35:15 +0200

polymake (2.14-1) unstable; urgency=low

  * Initial debian upload (Closes: #461976)
  
 -- David Bremner <bremner@debian.org>  Tue, 03 Mar 2015 15:03:09 +0100




	
	
