=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libperl-dev,
 libxml2-dev, libgmp-dev, liblrsgmp-dev, libmpfr-dev, libbliss-dev, libboost-dev,
 libppl-dev, libcdd-dev (>= 094g~)
Standards-Version: 3.9.6
Homepage: http://www.polymake.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git

Package: polymake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},  libterm-readline-gnu-perl,
	 libxml-libxml-perl, libxml-writer-perl, libxml-libxslt-perl,
	 libmpfr-dev, g++, make,
	 ${perl:Depends}
Recommends: graphviz, gfan, sketch, xdg-utils, iceweasel | chromium | conkeror
Suggests: povray, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
