=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure --prefix=/usr --without-java --without-callable\
		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
		LDFLAGS="${LDFLAGS}" CXXOPT="-O2"

override_dh_auto_test:
	# do nothing

override_dh_auto_clean:
	# avoid calling configure to clean
	rm -rf build.*

override_dh_perl:
	dh_perl usr/lib/polymake/perlx
