=== debian/changelog ===
polymake (3.0r1-4) unstable; urgency=medium

  * Drop support for armhf, mips, mipsel; these all OOM compiling
    rel_int_point.o at O1 and linking at O0.

 -- David Bremner <bremner@debian.org>  Wed, 03 Feb 2016 19:54:48 -0400

polymake (3.0r1-3) unstable; urgency=medium

  * fix typo in optimization level calculation
  * Use -O1 instead of -O0 for weak arches; -O0 causes link time explosion

 -- David Bremner <bremner@debian.org>  Mon, 01 Feb 2016 22:17:18 -0400

polymake (3.0r1-2) unstable; urgency=medium

  * Drop support for armel
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58938

  * Reduce optimization levels on armhf, mips, and mipsel

 -- David Bremner <bremner@debian.org>  Sun, 31 Jan 2016 20:40:25 -0400

polymake (3.0r1-1) unstable; urgency=medium

  * New upstream bugfix release
    - fix incompatibility of the Integer type with libnormaliz on 32bit
      platforms (Closes: #812431).

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2016 17:29:40 -0400

polymake (3.0-2) unstable; urgency=medium

  * Limit parallel builds to allow 2G per process. Memory starvation +
    optimistic buildd configuration = fail on armel and armhf

 -- David Bremner <bremner@debian.org>  Sat, 23 Jan 2016 20:47:25 -0400

polymake (3.0-1) unstable; urgency=medium

  * Major new upstream release.

 -- David Bremner <bremner@debian.org>  Fri, 22 Jan 2016 17:18:58 -0400

polymake (2.14r1-2) unstable; urgency=medium

  * Cherry pick f293923ae201 (gmp 6.1 problems with libnormaliz)(Closes: #807368).

 -- David Bremner <bremner@debian.org>  Tue, 08 Dec 2015 10:25:31 -0400

polymake (2.14r1-1) unstable; urgency=medium

  * New upstream bugfix release
  * support for gcc 5.x
  * Bug fix: "FTBFS with perl 5.22: compile failure", thanks to Dominic
    Hargreaves (Closes: #796923).

 -- David Bremner <bremner@debian.org>  Wed, 30 Sep 2015 22:32:09 -0300
