=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git
 
 Package: polymake
-Architecture: any
+Architecture: any-amd64 any-i386 arm64 powerpc ppc64el s390x alpha hppa hurd-i386 m68k mips64el ppc64 sh4 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends},  libterm-readline-gnu-perl,
 	 libxml-libxml-perl, libxml-writer-perl, libxml-libxslt-perl,
 	 libmpfr-dev, g++, make,
