## polymake 3.0r2

=== debian/changelog ===
polymake (3.0r2-2) unstable; urgency=medium

  * Bug fix: force . in @INC for configure, thanks
    to Dominic Hargreaves (Closes: #835432).

 -- David Bremner <bremner@debian.org>  Mon, 29 Aug 2016 16:51:55 -0300

polymake (3.0r2-1) unstable; urgency=medium

  * New upstream bugfix release, in particular support gcc 6
    and perl 5.24
  * drop dependency on PPL due to (temporary?) PPL build failures

 -- David Bremner <bremner@debian.org>  Wed, 27 Jul 2016 14:03:36 +0900
