=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --without-java --without-callable\
+	./configure --prefix=/usr --without-java --without-callable --without-ppl\
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
