=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=4
opts=dversionmangle=s/\+dfsg\d+$// \
	http://polymake.org/doku.php/download/start \
	//polymake.org/lib/exe/fetch.php/download/polymake@ANY_VERSION@-minimal.tar.bz2
