## polymake 3.1

=== debian/changelog ===
polymake (3.1-5) unstable; urgency=medium

  * Bug fix: "polymake FTBFS with gcc 7", thanks to Adrian Bunk (Closes:
    #871929).
  * Disable "no-format" in config.pl; fix clash with hardening flags

 -- David Bremner <bremner@debian.org>  Tue, 15 Aug 2017 08:50:03 -0300

polymake (3.1-4) unstable; urgency=medium

  * bump debhelper compat level to 10
  * Assert compliance with policy 4.0.0
  * update Vcs-git header to use https
  * rebuild against liblrsgmp1

 -- David Bremner <bremner@debian.org>  Tue, 04 Jul 2017 23:16:51 -0300

polymake (3.1-3) unstable; urgency=medium

  * rebuild for unstable

 -- David Bremner <bremner@debian.org>  Sun, 25 Jun 2017 12:29:11 -0300

polymake (3.1-2) experimental; urgency=medium

  * disable -march=native

 -- David Bremner <bremner@debian.org>  Mon, 12 Jun 2017 13:44:59 -0300

polymake (3.1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Mon, 24 Apr 2017 20:29:12 -0300
