=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
                libcdd-dev (>= 094g~),
@@ -10,11 +10,12 @@
                liblrsgmp-dev,
                libmpfr-dev,
                libperl-dev,
-               libxml2-dev
-Standards-Version: 3.9.6
+	       libxml2-dev,
+	       node-uglify
+Standards-Version: 4.0.0
 Homepage: http://www.polymake.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/polymake.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/polymake.git
 
 Package: polymake
 Architecture: any-amd64 any-i386 alpha arm64 hppa hurd-i386 m68k mips64el powerpc ppc64 ppc64el s390x sh4 sparc64 x32
@@ -29,7 +30,7 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
-Suggests: povray, texlive-pictures
+Suggests: povray, texlive-pictures, jupyter-core, jupyter-notebook
 Description: Tool for algorithmic discrete geometry
  Polymake started out as a tool for the algorithmic treatment of convex
  polyhedra. By now it also deals with finite simplicial complexes,
