=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,16 @@
 
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 
-%:
+JS:=three.js Detector.js renderers/CanvasRenderer.js renderers/Projector.js
+JS+=renderers/SVGRenderer.js controls/TrackballControls.js
+JSSOURCE=$(addprefix external/js/,${JS})
+
+build build-arch build-indep binary binary-arch binary-indep clean:
 	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --without-java --without-callable --without-ppl\
+		--without-native \
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
 
@@ -41,3 +46,7 @@
 
 override_dh_perl:
 	dh_perl usr/lib/polymake/perlx
+
+override_dh_auto_build:
+	uglifyjs ${JSSOURCE} -c -m -o external/js/three.polymake.js
+	dh_auto_build
