=== debian/changelog ===
polymake (3.2r2-3) unstable; urgency=medium

  * install polymake-config manpage again (missing in 3.2r2-1, -2)
  * re-enable all arches.

 -- David Bremner <bremner@debian.org>  Wed, 28 Feb 2018 15:04:16 -0400

polymake (3.2r2-2) unstable; urgency=medium

  * Disable one test output check in i386; needs some smarter definition
    of floating point equality.
  * Use "-g1" for minimal debug symbols are armhf, mips, mipsel. Attempt to avoid OOM on buildds.

 -- David Bremner <bremner@debian.org>  Tue, 27 Feb 2018 08:40:10 -0400

polymake (3.2r2-1) unstable; urgency=medium

  [ Benjamin Lorenz ]
  * update to 3.2
  * activate callable library
  * enable ppl interface again
  * enable libsingular interface
  [ David Bremner ]
  * Enable test suite
  * Split  into common, dev, and library packages

 -- David Bremner <bremner@debian.org>  Sun, 25 Feb 2018 08:17:13 -0400
