=== debian/control ===
Source: polymake
Section: math
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
               libbliss-dev,
               libboost-dev,
               libcdd-dev (>= 094g~),
               libgmp-dev,
               liblrsgmp-dev,
               libmpfr-dev,
               libnormaliz-dev,
               libperl-dev,
               libppl-dev,
               libsingular4-dev,
               libxml2-dev,
               libterm-readkey-perl <!nocheck>,
               libterm-readline-gnu-perl <!nocheck>,
               libxml-libxml-perl <!nocheck>,
               libxml-libxslt-perl <!nocheck>,
               libxml-writer-perl <!nocheck>,
               ninja-build,
               node-uglify,
               pkg-config
Standards-Version: 4.0.0
Homepage: http://www.polymake.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/polymake.git

Package: polymake
Architecture: any
Depends: polymake-common (= ${source:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ninja-build,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
Suggests: povray, texlive-pictures
Description: Tool for algorithmic discrete geometry
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains the core module and the application modules.

Package: polymake-common
Architecture: all
Depends: libpolymake-dev-common (= ${source:Version}),
         g++,
         libterm-readkey-perl,
         libterm-readline-gnu-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl,
         libxml-writer-perl,
         ${perl:Depends},
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- shared files
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains architecture independent material.

Package: libpolymake3.2
Provides: libpolymake
Section: libs
Architecture: any
Conflicts: libpolymake
Depends: polymake-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- library package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared libraries.

Package: libpolymake-dev
Section: libdevel
Architecture: any
Depends: libpolymake3.2 (= ${binary:Version}),
         libpolymake-dev-common (= ${source:Version}),
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- development package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains shared library symlinks.


Package: libpolymake-dev-common
Section: libdevel
Architecture: all
Depends: libgmp-dev,
         libmpfr-dev,
         ${misc:Depends}
Replaces: polymake (<< 3.2)
Breaks: polymake (<< 3.2)
Description: Tool for algorithmic discrete geometry -- common dev package
 Polymake started out as a tool for the algorithmic treatment of convex
 polyhedra. By now it also deals with finite simplicial complexes,
 tight spans of finite metric spaces, polyhedral surfaces, and other
 discrete mathematical objects.
 .
 This package contains common header files.
