=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 WEAK_ARCHES="mips mipsel armhf"
 ifneq (,$(findstring ${ARCH},${WEAK_ARCHES}))
-CXXOPT="-O1"
+CXXOPT=-O1 -g1
 else
 CXXOPT="-O2"
 endif
@@ -32,21 +32,21 @@
 	dh $@ --max-parallel="${MAX_CPUS}"
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --without-java --without-callable --without-ppl\
+	./configure --prefix=/usr --without-java \
 		--without-native \
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
 
 override_dh_auto_test:
-	# do nothing
+	 HOME=$$(mktemp -p build -d) perl perl/polymake --script run_testcases --emacs-style
 
 override_dh_auto_clean:
 	# avoid calling configure to clean
-	rm -rf build.*
+	rm -rf build
 
 override_dh_perl:
 	dh_perl usr/lib/polymake/perlx
 
 override_dh_auto_build:
-	uglifyjs ${JSSOURCE} -c -m -o external/js/three.polymake.js
-	dh_auto_build
+	uglifyjs ${JSSOURCE} -c -m -o resources/threejs/js/three.polymake.js
+	ninja -C build/Opt all -j${MAX_CPUS}
