## polymake 3.2r4

=== debian/changelog ===
polymake (3.2r4-4) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Mon, 14 Jan 2019 06:36:07 -0400

polymake (3.2r4-3) experimental; urgency=medium

  * Re-build against the unified arithmetic lrslib

 -- David Bremner <bremner@debian.org>  Wed, 09 Jan 2019 21:02:21 -0400

polymake (3.2r4-2) unstable; urgency=medium

  * re-enable all arches. "architecture mismatch makes libpolymake-dev
    uninstallable", thanks to Jeremy Bicha (Closes: #914845).

 -- David Bremner <bremner@debian.org>  Tue, 27 Nov 2018 20:45:34 -0400

polymake (3.2r4-1) unstable; urgency=medium

  * New upstream release.
  * install polymake-config manpage again (missing in 3.2r2-1, -2)
  * Bug fix: "[polymake] FTBFS with boost1.67", thanks to Giovanni
    Mascellani (Closes: #911949).
  * Bug fix: "polymake FTBFS: test failure", thanks to Adrian Bunk
    (Closes: #912174).
  * Add runtime dependency on sensible-utils, to use "sensible-browser"

 -- David Bremner <bremner@debian.org>  Mon, 26 Nov 2018 18:44:59 -0400
