=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
-               liblrsgmp-dev,
+               liblrs-dev,
                libmpfr-dev,
                libnormaliz-dev,
                libperl-dev,
@@ -24,8 +24,8 @@
                pkg-config
 Standards-Version: 4.0.0
 Homepage: http://www.polymake.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/polymake.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/polymake.git
+Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
+Vcs-Git: https://salsa.debian.org/bremner/polymake.git
 
 Package: polymake
 Architecture: any
@@ -53,6 +53,7 @@
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-writer-perl,
+         sensible-utils,
          ${perl:Depends},
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
