=== debian/rules ===
--- 
+++ 
@@ -49,4 +49,4 @@
 
 override_dh_auto_build:
 	uglifyjs ${JSSOURCE} -c -m -o resources/threejs/js/three.polymake.js
-	ninja -C build/Opt all -j${MAX_CPUS}
+	ninja -v -C build/Opt all -j${MAX_CPUS}
