## polymake 4.0

=== debian/changelog ===
polymake (4.0-2ubuntu1) focal; urgency=medium

  * Force term=linux

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2020 12:35:39 +0100

polymake (4.0-2) unstable; urgency=medium

  [ Benjamin Lorenz ]
  * New upstream version 4.0.
  * Add dependencies for flint and MongoDB interfaces.
  * Full singular is needed at runtime.
  * Remove libxml-perl and libxslt-perl deps and add libjson-perl due
    to file format change.
  * libxml-writer-perl is still needed for the x3d interface.
  * libxml-sax-perl for reading the old xml file format.
  * Bug fix: "polymake: FTBFS: test failure", thanks to Mattia Rizzolo
    (Closes: #949247)
  * Assert compliance with policy 4.5.0

  [ David Bremner ]
  * use single-debian-patch to work from salsa.
  * Cut number of compile processes in half, use 4G per process.

 -- David Bremner <bremner@debian.org>  Thu, 06 Feb 2020 19:46:45 -0400
