=== debian/control ===
--- 
+++ 
@@ -7,22 +7,21 @@
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
+               libflint-dev,
+               libjson-perl,
                liblrs-dev,
                libmpfr-dev,
                libnormaliz-dev,
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
-               libxml2-dev,
                libterm-readkey-perl <!nocheck>,
                libterm-readline-gnu-perl <!nocheck>,
-               libxml-libxml-perl <!nocheck>,
-               libxml-libxslt-perl <!nocheck>,
-               libxml-writer-perl <!nocheck>,
+               libxml-sax-perl <!nocheck>,
                ninja-build,
                node-uglify,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: http://www.polymake.org/
 Vcs-Browser: https://salsa.debian.org/bremner/polymake.git
 Vcs-Git: https://salsa.debian.org/bremner/polymake.git
@@ -34,8 +33,10 @@
          ninja-build,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gfan, graphviz, iceweasel | chromium | conkeror, sketch, xdg-utils
-Suggests: povray, texlive-pictures
+Replaces: polymake-common (<< 4.0)
+Breaks: polymake-common (<< 4.0)
+Recommends: gfan, graphviz, iceweasel | chromium | conkeror, xdg-utils
+Suggests: povray, texlive-latex-extra, texlive-pictures
 Description: Tool for algorithmic discrete geometry
  Polymake started out as a tool for the algorithmic treatment of convex
  polyhedra. By now it also deals with finite simplicial complexes,
@@ -48,12 +49,13 @@
 Architecture: all
 Depends: libpolymake-dev-common (= ${source:Version}),
          g++,
+         libjson-perl,
+         libmongodb-perl,
          libterm-readkey-perl,
          libterm-readline-gnu-perl,
-         libxml-libxml-perl,
-         libxml-libxslt-perl,
          libxml-writer-perl,
          sensible-utils,
+         singular,
          ${perl:Depends},
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
@@ -66,7 +68,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake3.2
+Package: libpolymake4.0
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -87,7 +89,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake3.2 (= ${binary:Version}),
+Depends: libpolymake4.0 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
@@ -104,7 +106,8 @@
 Package: libpolymake-dev-common
 Section: libdevel
 Architecture: all
-Depends: libgmp-dev,
+Depends: libflint-dev,
+         libgmp-dev,
          libmpfr-dev,
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
