=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
 CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
-# 2G per CPU seems OK.
+# 4G per CPU seems OK.
 ifeq ($(wildcard /proc/meminfo),)
 	MAX_CPUS=1
 else
-	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(2048*1024)+0.5) }' /proc/meminfo)
+	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(4096*1024)+0.5) }' /proc/meminfo)
 endif
+
+export TERM=linux
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 WEAK_ARCHES="mips mipsel armhf"
