## polymake 4.1

=== debian/changelog ===
polymake (4.1-4build1) groovy; urgency=medium

  * No-change rebuild against libflint-2.6.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Aug 2020 08:19:31 +0000

polymake (4.1-4) unstable; urgency=medium

  * Really upload to unstable

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 10:50:19 -0300

polymake (4.1-3) experimental; urgency=medium

  * upload to unstable
  * Bug fix: "FTBFS: pool_allocator.h:36:19: error: ‘typedef std::size_t
    __gnu_cxx::__pool_alloc_base::size_t’ is private within this context",
    thanks to Lucas Nussbaum (Closes: #966910).

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 07:41:22 -0300

polymake (4.1-2) experimental; urgency=medium

  * New upstream version.
  * Build against lrslib 0.71

 -- David Bremner <bremner@debian.org>  Sat, 01 Aug 2020 15:30:45 -0300

polymake (4.0r1-3) unstable; urgency=medium

  * add mips64el to WEAK_ARCHES; use lower optimization levels.
  * don't build-depend on libnormaliz-dev and libflint-dev on mipsel.
  * fix typo in libnormaliz-dev build-dep s/!mip64el/!mips64el/

 -- David Bremner <bremner@debian.org>  Sun, 03 May 2020 16:32:14 -0300

polymake (4.0r1-2) unstable; urgency=medium

  * Also disable gold linker, flint, and normaliz on mipsel, fix FTBFS.

 -- David Bremner <bremner@debian.org>  Fri, 01 May 2020 21:59:58 -0300

polymake (4.0r1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Bug fix: "test failure on mips64el", thanks to Benjamin Lorenz for the
    fix (Closes: #951151).
  * Upstream Bug fix: "FTBFS if terminal is unset", thanks to Gianfranco Costamagna
    (Closes: #951137).

 -- David Bremner <bremner@debian.org>  Thu, 30 Apr 2020 10:23:43 -0300
