=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
                libcdd-dev (>= 094g~),
                libgmp-dev,
-               libflint-dev,
+               libflint-dev [!mips64el !mipsel],
                libjson-perl,
-               liblrs-dev,
+               liblrs-dev (>= 0.71~),
                libmpfr-dev,
-               libnormaliz-dev,
+               libnormaliz-dev [!mips64el !mipsel],
                libperl-dev,
                libppl-dev,
                libsingular4-dev,
@@ -68,7 +69,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.0
+Package: libpolymake4.1
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -89,7 +90,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.0 (= ${binary:Version}),
+Depends: libpolymake4.1 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
