=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+include /usr/share/dpkg/architecture.mk
 
 CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
@@ -14,14 +15,15 @@
 	MAX_CPUS=$(shell awk '/^MemTotal/ { print int($$2/(4096*1024)+0.5) }' /proc/meminfo)
 endif
 
-export TERM=linux
-
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
-WEAK_ARCHES="mips mipsel armhf"
-ifneq (,$(findstring ${ARCH},${WEAK_ARCHES}))
+WEAK_ARCHES="mips mipsel mips64el armhf"
+ifneq (,$(findstring ${DEB_BUILD_ARCH},${WEAK_ARCHES}))
 CXXOPT=-O1 -g1
 else
 CXXOPT="-O2"
+endif
+ifneq (,$(findstring ${DEB_BUILD_ARCH},mipsel mips64el))
+export DEB_LDFLAGS_MAINT_APPEND=-fuse-ld=bfd
+EXTRA_CONFIG_FLAGS=--without-flint --without-libnormaliz
 endif
 
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
@@ -36,6 +38,7 @@
 override_dh_auto_configure:
 	./configure --prefix=/usr --without-java \
 		--without-native \
+		${EXTRA_CONFIG_FLAGS} \
 		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
 		LDFLAGS="${LDFLAGS}" CXXOPT="${CXXOPT}"
