## polymake 4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-#  Copyright (c) 1997-2018
-#  Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
-#  http://www.polymake.org
+#  Copyright (c) 1997-2020
+#  Ewgenij Gawrilow, Michael Joswig, and the polymake team
+#  Technische Universität Berlin, Germany
+#  https://polymake.org
 #
 #  This program is free software; you can redistribute it and/or modify it
 #  under the terms of the GNU General Public License as published by the
@@ -16,7 +17,7 @@
 #
 #  Mostly forwarding to ninja, for backward compatibility reasons
 #
-.PHONY: all install docs release-docs clean distclean test
+.PHONY: all install clean distclean test
 
 NINJA := ninja
 
@@ -36,13 +37,6 @@
 test : all
 	perl/polymake --script run_testcases
 
-docs : all
-	perl/polymake --script generate_docs ${BuildRoot}/doc
-	$(if ${DeveloperMode}, perl/polymake --script doxygen ${BuildRoot}/doc/PTL >/dev/null 2>&1)
-
-release-docs : all
-	perl/polymake --ignore-config --script generate_docs
-
 clean :
 	${NINJA} -C $(_BuildDir) clean.all
 	${NINJA} -C $(_BuildDir) -t clean all
