=== debian/changelog ===
polymake (4.3-4) unstable; urgency=medium

  * Bug fix: "VISUAL with threejs fails", thanks to Joachim Zobel (Closes:
    #986381).

 -- David Bremner <bremner@debian.org>  Wed, 07 Apr 2021 11:56:59 -0300

polymake (4.3-3) unstable; urgency=medium

  * Disable relative volume test when flint is missing (Closes: #981252).
  * Bug fix: "man page mentions outdated file argument", thanks to Joachim
    Zobel for the report, and Benjamin Lorenz for the update (Closes: #977722).

 -- David Bremner <bremner@debian.org>  Fri, 29 Jan 2021 20:45:56 -0400

polymake (4.3-2) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Wed, 20 Jan 2021 07:13:08 -0400

polymake (4.3-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "node-uglify is deprecated in favor of uglifyjs", thanks to
    yadd@debian.org; (Closes: #979939).

 -- David Bremner <bremner@debian.org>  Mon, 18 Jan 2021 18:50:25 -0400

polymake (4.1-5) unstable; urgency=medium

  * Use gcc 10 on arm64  (Closes: #974058).
  * Acknowledge NMU

 -- David Bremner <bremner@debian.org>  Thu, 03 Dec 2020 17:01:46 -0400

polymake (4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use GCC 9 on arm64.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Nov 2020 09:28:18 +0100
