=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: polymake
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
                libbliss-dev,
                libboost-dev,
@@ -20,7 +19,7 @@
                libterm-readline-gnu-perl <!nocheck>,
                libxml-sax-perl <!nocheck>,
                ninja-build,
-               node-uglify,
+               uglifyjs,
                pkg-config
 Standards-Version: 4.5.0
 Homepage: http://www.polymake.org/
@@ -69,7 +68,7 @@
  .
  This package contains architecture independent material.
 
-Package: libpolymake4.1
+Package: libpolymake4.3
 Provides: libpolymake
 Section: libs
 Architecture: any
@@ -90,7 +89,7 @@
 Package: libpolymake-dev
 Section: libdevel
 Architecture: any
-Depends: libpolymake4.1 (= ${binary:Version}),
+Depends: libpolymake4.3 (= ${binary:Version}),
          libpolymake-dev-common (= ${source:Version}),
          ${misc:Depends}
 Replaces: polymake (<< 3.2)
