=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,7 @@
 
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 
-JS:=three.js Detector.js renderers/CanvasRenderer.js renderers/Projector.js
-JS+=renderers/SVGRenderer.js controls/TrackballControls.js
+JS:= three.js OrbitControls.js Projector.js SVGRenderer.js TrackballControls.js WebGL.js
 JSSOURCE=$(addprefix external/js/,${JS})
 
 build build-arch build-indep binary binary-arch binary-indep clean:
